[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.ReadMessage

Read message from the queue

## Declaration

Source position: simpleipc.pp line 204

`public function TSimpleIPCServer.ReadMessage: Boolean;`

## Function result

True if a message was read by the server and pushed to the queue

## Description

ReadMessage will read the oldest message from the queue, and make it available in TSimpleIPCServer.MsgType and TSimpleIPCServer.MsgData

It is safe to call this even if a watch thread is started.

## See also

TSimpleIPCServer.MsgType |  | Last message type
TSimpleIPCServer.MsgData |  | Last message data